### Class

# Meta Barrier

#### Description [src]

    class Meta.Barrier : GObject.Object
      implements Gio.Initable {
      /* No available fields */
    }

Pointer barriers.

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### meta_barrier_new

No description available.

#### Instance methods

###### meta_barrier_destroy

No description available.

###### meta_barrier_is_active

No description available.

###### meta_barrier_release

In XI2.3, pointer barriers provide a feature where they can be temporarily released so that the pointer goes through them. Pass a `MetaBarrierEvent` to release the barrier for this event sequence.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Meta.Barrier:backend

No description available.

###### Meta.Barrier:directions

No description available.

###### Meta.Barrier:flags

No description available.

###### Meta.Barrier:x1

No description available.

###### Meta.Barrier:x2

No description available.

###### Meta.Barrier:y1

No description available.

###### Meta.Barrier:y2

No description available.

#### Signals

###### Meta.Barrier::hit

When a pointer barrier is hit, this will trigger. This requires an XI2-enabled server.

###### Meta.Barrier::left

When a pointer barrier hitbox was left, this will trigger. This requires an XI2-enabled server.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaBarrierClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.